#
# spec file for package pygresql (Version 3.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl openssl-devel postgresql postgresql-devel python python-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl postgresql postgresql-devel ps python python-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pygresql
Copyright:    (c) 1995, Pascal ANDRE (andre@via.ecp.fr)
Group:        Development/Languages/Python
Requires:     python
Autoreqprov:  on
Version:      3.2
Release:      56
Summary:      PostgreSQL module for Python
Source:       ftp://ftp.druid.net/pub/distrib/PyGreSQL-%{version}.tgz
Patch:        PyGreSQL-%{version}.diff
#BuildRoot:   /tmp/pygresql

%description
PyGreSQL is a python module that interfaces to a PostgreSQL database.
It embeds the PostgreSQL query library to allow easy use of the powerful
PostgreSQL features from a Python script.

Authors:
--------
    Pascal ANDRE <andre@via.ecp.fr>
    D'Arcy J.M. Cain <darcy@druid.net>

SuSE series: d

%define __suffix 2.1
%prep
%setup -n PyGreSQL-%{version}
%patch

%build
export OPT=$RPM_OPT_FLAGS
test -f /usr/lib/python/config/Makefile.pre.in || {
cat <<'ERROR'
 *** Sorry, but I want installed python to compile the module!!
ERROR
exit 1
}
cat <<'EOF' > Setup.in
*noconfig*
_pg pgmodule.c  -I/usr/include/pgsql -L/usr/lib/pgsql/lib -lpq -lcrypto -lssl
EOF
cp /usr/lib/python/config/Makefile.pre.in .
make -f Makefile.pre.in boot
make
python /usr/lib/python/compileall.py .
rm -f tutorial/*.orig tutorial/*.py?

%install
export RPM_BUILD_ROOT
export site_path=`python -c 'import site; print site.sitedirs[0];'`
mkdir -p                       $RPM_BUILD_ROOT/${site_path}/
install -c -m 755 _pgmodule.so $RPM_BUILD_ROOT/${site_path}/_pg.so
install -c -m 644 pg*.py*       $RPM_BUILD_ROOT/${site_path}/

%files
%doc Announce README README.linux ChangeLog tutorial
/usr/lib/python%{__suffix}/site-packages/_pg*.so
/usr/lib/python%{__suffix}/site-packages/pg*.py*

%changelog -n pygresql
* Tue Aug 28 2001 - rvasice@suse.cz
- update to version 3.2
* Fri Dec 01 2000 - ro@suse.de
- fixed neededforbuild
* Sun Oct 29 2000 - kukuk@suse.de
- added python-devel to neededforbuild
* Mon Jun 19 2000 - ro@suse.de
- added pg_devel to neededforbuild
- hacked to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 25 1999 - mt@suse.de
- update to 2.4
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Mon Mar 08 1999 - ro@suse.de
- fixed specfile: create directory before writing into
* Fri Mar 05 1999 - mt@suse.de
- new version 2.3
